package main

import (
	"log"
	"os"

	"git.nefrace.ru/nefrace/nechotron"
	"git.nefrace.ru/nefrace/tongo"
	"github.com/joho/godotenv"
)

var BuildTime string

func main() {
	godotenv.Load()
	db, err := tongo.NewConnection(os.Getenv("MONGO_URI"), "godette")
	if err != nil {
		log.Fatalf("Can't connect to database: %v", err)
	}
	neco := nechotron.NewTron(os.Getenv("TELEGRAM_TOKEN"), &MainState)
	neco.
		Use(UserDBUpdater(db)).
		Use(UserLogger)
	// neko.ApiServer = "http://192.168.100.15:7373"
	log.Fatal(neco.DispatchPoll())
}
